BrlAPI 0.8

Data Fields
brlapi_paramValuePacket_t Struct Reference
BrlAPI's protocol

`#include <brlapi_protocol.h>`

## Data Fields
uint32_t | flags
brlapi_param_t | param
uint32_t | subparam_hi
uint32_t | subparam_lo
unsigned char | data [BRLAPI_MAXPARAMSIZE]

## Detailed Description

Structure of Parameter value or update

## Field Documentation

## ◆ data

unsigned char brlapi_paramValuePacket_t::data[BRLAPI_MAXPARAMSIZE]

Which sub-parameter being transmitted, lo 32bits

## ◆ flags

uint32_t brlapi_paramValuePacket_t::flags

## ◆ param

brlapi_param_t brlapi_paramValuePacket_t::param

Flags to tell how value was gotten

## ◆ subparam_hi

uint32_t brlapi_paramValuePacket_t::subparam_hi

Which parameter being transmitted

## ◆ subparam_lo

uint32_t brlapi_paramValuePacket_t::subparam_lo

Which sub-parameter being transmitted, hi 32bits

The documentation for this struct was generated from the following file:

- brlapi_protocol.h